Skip to content

POI detail

GET
/v1/pois/{dest_id}

Name, location, address, types, and whitelisted attributes for one POI.

dest_id
required
Dest Id

Stable destination id

integer

Stable destination id

Successful Response

PoiDetail

GET /v1/pois/{dest_id} (queries.pois.detail)

object
address
required
Address

A POI street address; every field is nullable. (shape.shape_pois, queries.pois.detail)

object
city
Any of:
string
state
Any of:
string
street
Any of:
string
zip
Any of:
string
attrs
required
Attrs

Whitelisted attributes (currently only ‘brand’, when present)

object
key
additional properties
any
dest_id
required
Dest Id
integer
lat
required
Lat
number
lon
required
Lon
number
name
required
Name
string
type_ids
required
Type Ids
Array<integer>
Example
{
"address": {
"city": "Springfield",
"state": "OR",
"street": "742 Evergreen Ter",
"zip": "97477"
},
"attrs": {
"brand": "Market of Choice"
},
"dest_id": 9001,
"lat": 44.05,
"lon": -123.09,
"name": "Market of Choice",
"type_ids": [
30
]
}

Not modified (If-None-Match matched the ETag); no body, no tokens charged

Invalid request (e.g. invalid-parameters, invalid-cursor, invalid-bbox, missing-location, missing-area, invalid-geometry, polygon-too-complex, missing-origins, too-many-origins)

ValidationProblem

400 invalid-parameters, carrying the offending fields. (core.problems, RequestValidationError handler)

object
detail
Any of:
string
errors
Any of:
Array<object>
ValidationErrorItem
object
loc
required
Loc
Array
msg
required
Msg
string
type
required
Type
string
status
required
Status
integer
title
required
Title
string
type
required
Type

Problem type URI; the final path segment is the stable slug

string
key
additional properties
any

Missing or invalid API key (missing-key, invalid-key)

Problem

RFC 9457 problem detail. Served as application/problem+json. Additional members appear for some problem types (e.g. errors). (core.problems.problem)

object
detail
Any of:
string
status
required
Status
integer
title
required
Title
string
type
required
Type

Problem type URI; the final path segment is the stable slug

string
key
additional properties
any

Key disabled (account-disabled)

Problem

RFC 9457 problem detail. Served as application/problem+json. Additional members appear for some problem types (e.g. errors). (core.problems.problem)

object
detail
Any of:
string
status
required
Status
integer
title
required
Title
string
type
required
Type

Problem type URI; the final path segment is the stable slug

string
key
additional properties
any

Resource not found (block-not-found, poi-not-found, place-not-found, point-not-covered, no-isochrone-data, direction-not-available)

Problem

RFC 9457 problem detail. Served as application/problem+json. Additional members appear for some problem types (e.g. errors). (core.problems.problem)

object
detail
Any of:
string
status
required
Status
integer
title
required
Title
string
type
required
Type

Problem type URI; the final path segment is the stable slug

string
key
additional properties
any

Rate limited or token balance exhausted (rate-limited, tokens-exhausted); sets Retry-After

Problem

RFC 9457 problem detail. Served as application/problem+json. Additional members appear for some problem types (e.g. errors). (core.problems.problem)

object
detail
Any of:
string
status
required
Status
integer
title
required
Title
string
type
required
Type

Problem type URI; the final path segment is the stable slug

string
key
additional properties
any

Backend temporarily unavailable (debit-unavailable, store-unavailable); may set Retry-After

Problem

RFC 9457 problem detail. Served as application/problem+json. Additional members appear for some problem types (e.g. errors). (core.problems.problem)

object
detail
Any of:
string
status
required
Status
integer
title
required
Title
string
type
required
Type

Problem type URI; the final path segment is the stable slug

string
key
additional properties
any